# Uses of Class
javafx.scene.control.TreeTableRow

Packages that use TreeTableRow
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TreeTableRow in javafx.scene.control

Methods in javafx.scene.control that return TreeTableRow
Modifier and Type
Method
Description
`final TreeTableRow<S>`
TreeTableCell.`getTreeTableRow()`
Methods in javafx.scene.control that return types with arguments of type TreeTableRow
Modifier and Type
Method
Description
`final Callback<TreeTableView<S>,TreeTableRow<S>>`
TreeTableView.`getRowFactory()`
Gets the value of the `rowFactory` property.
`final ObjectProperty<Callback<TreeTableView<S>,TreeTableRow<S>>>`
TreeTableView.`rowFactoryProperty()`
A function which produces a TreeTableRow.
`final ReadOnlyObjectProperty<TreeTableRow<S>>`
TreeTableCell.`tableRowProperty()`
Methods in javafx.scene.control with parameters of type TreeTableRow
Modifier and Type
Method
Description
`final void`
TreeTableCell.`updateTreeTableRow(TreeTableRow<S> treeTableRow)`
Updates the TreeTableRow associated with this TreeTableCell.
Method parameters in javafx.scene.control with type arguments of type TreeTableRow
Modifier and Type
Method
Description
`final void`
TreeTableView.`setRowFactory(Callback<TreeTableView<S>,TreeTableRow<S>> value)`
Sets the value of the `rowFactory` property.

## Uses of TreeTableRow in javafx.scene.control.skin

Methods in javafx.scene.control.skin with parameters of type TreeTableRow
Modifier and Type
Method
Description
`protected void`
TreeTableRowSkin.`updateCell(TreeTableCell<T,?> cell, TreeTableRow<T> row)`
A method to allow the given cell to be told that it is a member of the given row.
Constructors in javafx.scene.control.skin with parameters of type TreeTableRow
Modifier
Constructor
Description
``
`TreeTableRowSkin(TreeTableRow<T> control)`
Creates a new TreeTableRowSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.